com.h3c.of.sw

## Class CmdPortStatus

- java.lang.Object
- - com.h3c.of.sw.ScenarioCommand
  - - com.h3c.of.sw.CmdPortStatus

-     public class CmdPortStatus
      extends ScenarioCommand

  Concrete class for Port-Status command.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CmdPortStatus.State` Designates change in port state.

  - ### Field Summary

    - ### Fields inherited from class com.h3c.of.sw.ScenarioCommand

      `E_INV_PARAMS, error, params, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CmdPortStatus(CommandType type, String params)` Constructs a port-status scenario command.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPortNum()` Returns the port index number.
    `CmdPortStatus.State` | `getState()` Returns the state the port is changing to.
    `String` | `getSwid()` Returns the switch ID.

    - ### Methods inherited from class com.h3c.of.sw.ScenarioCommand

      `create, getType, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CmdPortStatus

          public CmdPortStatus(CommandType type,
                       String params)

      Constructs a port-status scenario command.
      Parameters:
        `type` - the command type
        `params` - the command parameters

  - ### Method Detail

    - #### getSwid

          public String getSwid()

      Returns the switch ID.
      Returns:
        the switch ID

    - #### getPortNum

          public int getPortNum()

      Returns the port index number.
      Returns:
        the port index

    - #### getState

          public CmdPortStatus.State getState()

      Returns the state the port is changing to.
      Returns:
        the port state

Copyright © 2014. All Rights Reserved.